## Index

### Enumerations

- CLI_SPRITE_SIZE
- START_MODE

### Interfaces

- ICliOptions
- IGameInfo
- IGameRecording
- ILevelRecording
- IPackage
- ISaveFile

### Variables

- SOLUTION_ROOT
- pkg

### Functions

- first2Lines
- percentComplete
- playGame
- promptChooseLevel
- promptGame
- promptPixelSize
- promptPlayAnother
- run
- showControls
- shuffleArray
- sleep
- startPromptsAndPlayGame
- toUnicode

## Variables

### Let SOLUTION_ROOT

SOLUTION_ROOT: string = path.join(__dirname, '../../gist-solutions/')

- Defined in cli/playGame.ts:56

### Const pkg

pkg: IPackage = require('../../package.json') as IPackage

- Defined in cli/playGame.ts:54

## Functions

### first2Lines

- first2Lines(filePath: string): Promise<string>

- - Defined in cli/playGame.ts:69

  #### Parameters

  - ##### filePath: string

  #### Returns Promise<string>

### percentComplete

- percentComplete(game: IGameInfo): string

- - Defined in cli/playGame.ts:827

  #### Parameters

  - ##### game: IGameInfo

  #### Returns string

### playGame

- playGame(data: GameData, currentLevelNum: number, recordings: ISaveFile, ticksToRunFirst: string, absPath: string, solutionPath: string, cliUi: boolean, onlyOneLevel: boolean, nosound: Optional<boolean>): Promise<void>

- - Defined in cli/playGame.ts:284

  #### Parameters

  - ##### data: GameData

  - ##### currentLevelNum: number

  - ##### recordings: ISaveFile

  - ##### ticksToRunFirst: string

  - ##### absPath: string

  - ##### solutionPath: string

  - ##### cliUi: boolean

  - ##### onlyOneLevel: boolean

  - ##### nosound: Optional<boolean>

  #### Returns Promise<void>

### promptChooseLevel

- promptChooseLevel(recordings: ISaveFile, data: GameData, cliLevel: Optional<number>): Promise<number>

- - Defined in cli/playGame.ts:663

  #### Parameters

  - ##### recordings: ISaveFile

  - ##### data: GameData

  - ##### cliLevel: Optional<number>

  #### Returns Promise<number>

### promptGame

- promptGame(games: IGameInfo[], cliGameTitle: string | undefined): Promise<IGameInfo>

- - Defined in cli/playGame.ts:851

  #### Parameters

  - ##### games: IGameInfo[]

  - ##### cliGameTitle: string | undefined

  #### Returns Promise<IGameInfo>

### promptPixelSize

- promptPixelSize(data: GameData, cliSpriteSize: Optional<CLI_SPRITE_SIZE>): Promise<void>

- - Defined in cli/playGame.ts:771

  #### Parameters

  - ##### data: GameData

  - ##### cliSpriteSize: Optional<CLI_SPRITE_SIZE>

  #### Returns Promise<void>

### promptPlayAnother

- promptPlayAnother(): Promise<boolean>

- - Defined in cli/playGame.ts:646

  #### Returns Promise<boolean>

### run

- run(): Promise<void>

- - Defined in cli/playGame.ts:138

  #### Returns Promise<void>

### showControls

- showControls(): void

- - Defined in cli/playGame.ts:1012

  #### Returns void

### shuffleArray

- shuffleArray<T>(array: T[]): T[]

- - Defined in cli/playGame.ts:819

  #### Type parameters

  - #### T

  #### Parameters

  - ##### array: T[]

  #### Returns T[]

### sleep

- sleep(ms: number): Promise<Object>

- - Defined in cli/playGame.ts:65

  #### Parameters

  - ##### ms: number

  #### Returns Promise<Object>

### startPromptsAndPlayGame

- startPromptsAndPlayGame(gamePath: string, gistId: Optional<string>, cliResume: boolean | undefined, cliLevel: number | undefined, nosound: boolean | undefined): Promise<void>

- - Defined in cli/playGame.ts:219

  #### Parameters

  - ##### gamePath: string

  - ##### gistId: Optional<string>

  - ##### cliResume: boolean | undefined

  - ##### cliLevel: number | undefined

  - ##### nosound: boolean | undefined

  #### Returns Promise<void>

### toUnicode

- toUnicode(theString: string): string

- - Defined in cli/playGame.ts:104

  #### Parameters

  - ##### theString: string

  #### Returns string

Generated using TypeDoc